## libkf5mailcommon 20.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.15.3")

project(mailcommon VERSION ${PIM_VERSION})

set(KF5_MIN_VERSION "5.71.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${mailcommon_SOURCE_DIR}/cmake/modules/ ${ECM_MODULE_PATH})
if (POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
endif()
set(LIBRARY_NAMELINK)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)


set(QT_REQUIRED_VERSION "5.13.0")

set(MAILCOMMON_LIB_VERSION ${PIM_VERSION})
set(AKONADIMIME_LIB_VERSION "5.15.3")
set(AKONADICONTACT_LIB_VERSION "5.15.3")
set(MESSAGELIB_LIB_VERSION "5.15.3")
set(KMIME_LIB_VERSION "5.15.3")
set(KMAILTRANSPORT_LIB_VERSION "5.15.3")
set(MAILIMPORTER_LIB_VERSION "5.15.3")
set(LIBKDEPIM_LIB_VERSION "5.15.3")
set(PIMCOMMON_LIB_VERSION "5.15.3")

set(PHONON_LIB_VERSION "4.10.60")
set(AKONADI_VERSION "5.15.3")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets DBus Test Xml)

find_package(KF5Archive ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ItemModels ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ItemViews ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5TextWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5SyntaxHighlighting ${KF5_MIN_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailImporter ${MAILIMPORTER_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(Phonon4Qt5 ${PHONON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

ecm_setup_version(PROJECT VARIABLE_PREFIX MAILCOMMON
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailcommon_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5MailCommonConfigVersion.cmake"
                        SOVERSION 5
)

find_package(Xsltproc)
set_package_properties(Xsltproc PROPERTIES DESCRIPTION "XSLT processor from libxslt" TYPE REQUIRED PURPOSE "Required to generate D-Bus interfaces for all Akonadi resources.")

########### Targets ###########
remove_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions(-DQT_NO_FOREACH)
add_definitions(-DQT_NO_KEYWORDS)
option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MailCommon")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5MailCommonConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MailCommonConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MailCommonConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5MailCommonConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5MailCommonTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5MailCommonTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/mailcommon_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== src/CMakeLists.txt ===

add_definitions(-DTRANSLATION_DOMAIN=\"libmailcommon\")

#add_definitions( -DQT_NO_CAST_FROM_ASCII )
#add_definitions( -DQT_NO_CAST_TO_ASCII )

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()

set(libmailcommon_filter_SRCS
  filter/kmfilteraccountlist.cpp
  filter/kmfilterlistbox.cpp
  filter/filterselectiondialog.cpp
  filter/filterconverter/filterconverttosieve.cpp
  filter/filterconverter/filterconverttosieveresultdialog.cpp
  filter/filterconverter/filterconverttosievepurposemenuwidget.cpp
  filter/filteractions/filteraction.cpp
  filter/filteractions/filteractionaddheader.cpp
  filter/filteractions/filteractionaddtag.cpp
  filter/filteractions/filteractionaddtoaddressbook.cpp
  filter/filteractions/filteractioncopy.cpp
  filter/filteractions/filteractiondecrypt.cpp
  filter/filteractions/filteractiondelete.cpp
  filter/filteractions/filteractiondict.cpp
  filter/filteractions/filteractionencrypt.cpp
  filter/filteractions/filteractionexec.cpp
  filter/filteractions/filteractionforward.cpp
  filter/filteractions/filteractionmove.cpp
  filter/filteractions/filteractionpipethrough.cpp
  filter/filteractions/filteractionplaysound.cpp
  filter/filteractions/filteractionredirect.cpp
  filter/filteractions/filteractionremoveheader.cpp
  filter/filteractions/filteractionreplyto.cpp
  filter/filteractions/filteractionrewriteheader.cpp
  filter/filteractions/filteractionsendfakedisposition.cpp
  filter/filteractions/filteractionsendreceipt.cpp
  filter/filteractions/filteractionsetidentity.cpp
  filter/filteractions/filteractionsetstatus.cpp
  filter/filteractions/filteractionstatus.cpp
  filter/filteractions/filteractionunsetstatus.cpp
  filter/filteractions/filteractionsettransport.cpp
  filter/filteractions/filteractionwidget.cpp
  filter/filteractions/filteractionwithaddress.cpp
  filter/filteractions/filteractionwithcommand.cpp
  filter/filteractions/filteractionwithcrypto.cpp
  filter/filteractions/filteractionwithfolder.cpp
  filter/filteractions/filteractionwithnone.cpp
  filter/filteractions/filteractionwithstring.cpp
  filter/filteractions/filteractionwithstringlist.cpp
  filter/filteractions/filteractionwithtest.cpp
  filter/filteractions/filteractionwithuoid.cpp
  filter/filteractions/filteractionwithurl.cpp
  filter/filterimporterexporter.cpp
  filter/filterimporter/filterimporterabstract.cpp
  filter/filterimporter/filterimporterevolution.cpp
  filter/filterimporter/filterimportersylpheed.cpp
  filter/filterimporter/filterimporterthunderbird.cpp
  filter/filterimporter/filterimporterprocmail.cpp
  filter/filterimporter/filterimporterbalsa.cpp
  filter/filterimporter/filterimporterclawsmail.cpp
  filter/filterimporter/filterimportergmail.cpp
  filter/filterlog.cpp
  filter/filtermanager.cpp
  filter/itemcontext.cpp
  filter/kmfilterdialog.cpp
  filter/mailfilter.cpp
  filter/mdnadvicedialog.cpp
  filter/filterimporterpathcache.cpp
)

set(libmailcommon_filter_dialog
    filter/dialog/selectthunderbirdfilterfilesdialog.cpp
    filter/dialog/selectthunderbirdfilterfileswidget.cpp
    filter/dialog/filteractionmissingfolderdialog.cpp
    filter/dialog/filteractionmissingsoundurldialog.cpp
    filter/dialog/filteractionmissingtagdialog.cpp
    filter/dialog/filteractionmissingaccountdialog.cpp
    filter/dialog/filteractionmissingtemplatedialog.cpp
    filter/dialog/filteractionmissingtransportdialog.cpp
    filter/dialog/filteractionmissingidentitydialog.cpp
    )


set(libmailcommon_invalidfilters 
  filter/invalidfilters/invalidfilterdialog.cpp
  filter/invalidfilters/invalidfilterlistview.cpp
  filter/invalidfilters/invalidfilterwidget.cpp
  filter/invalidfilters/invalidfilterinfo.cpp
  filter/invalidfilters/invalidfilterlistitemdelegate.cpp
  filter/invalidfilters/invalidfilterlistmodel.cpp
  filter/invalidfilters/invalidfilterinfowidget.cpp
)

set(libmailcommon_collection_SRCS
  collectionpage/attributeregistrar.cpp
  collectionpage/collectiongeneralpage.cpp
  collectionpage/collectionexpirypage.cpp
  collectionpage/attributes/expirecollectionattribute.cpp
)

set(libmailcommon_folder_SRCS
  folder/foldersettings.cpp
  folder/foldercollectionmonitor.cpp
  folder/folderrequester.cpp
  folder/folderselectiondialog.cpp
  folder/foldertreeview.cpp
  folder/foldertreewidget.cpp
  folder/foldertreewidgetproxymodel.cpp
  folder/entitycollectionorderproxymodel.cpp
  folder/accountconfigorderdialog.cpp
  folder/favoritecollectionorderproxymodel.cpp
)

set(libmailcommon_job_SRCS
  job/jobscheduler.cpp
  job/folderjob.cpp
  job/expirejob.cpp
  job/backupjob.cpp
)

set(libmailcommon_search_SRCS
  search/widgethandler/rulewidgethandlermanager.cpp
  search/searchpattern.cpp
  search/searchpatternedit.cpp
  search/widgethandler/encryptionwidgethandler.cpp
  search/widgethandler/textrulerwidgethandler.cpp
  search/widgethandler/statusrulewidgethandler.cpp
  search/widgethandler/messagerulewidgethandler.cpp
  search/widgethandler/tagrulewidgethandler.cpp
  search/widgethandler/numericrulewidgethandler.cpp
  search/widgethandler/daterulewidgethandler.cpp
  search/widgethandler/numericdoublerulewidgethandler.cpp
  search/widgethandler/headersrulerwidgethandler.cpp
  search/searchrule/searchrulenumerical.cpp
  search/searchrule/searchruledate.cpp
  search/searchrule/searchrulestring.cpp 
  search/searchrule/searchrulestatus.cpp
  search/searchrule/searchruleencryption.cpp
  search/searchrule/searchrule.cpp
)

set(libmailcommon_snippets_SRCS
  snippets/snippetdialog.cpp
  snippets/snippetsmanager.cpp
  snippets/snippetsmodel.cpp
  snippets/snippetvariabledialog.cpp
  snippets/snippettreeview.cpp
  snippets/snippetwidget.cpp
  snippets/snippetattachmentwidget.cpp
  snippets/snippetselectattachmentwidget.cpp
  snippets/snippetselectattachmentdialog.cpp
  snippets/snippetcustomfileattachmentnamewidget.cpp
  snippets/snippetcustomfileattachmentnamedialog.cpp
)

set(libmailcommon_tag_SRCS
  tag/tagwidget.cpp
  tag/tag.cpp
  tag/addtagdialog.cpp
)

set(libmailcommon_widget_SRCS
  widgets/redirectdialog.cpp
  widgets/redirectwidget.cpp
  widgets/favoritecollectionwidget.cpp
)

set(libmailcommon_mdn_SRCS
  mdn/sendmdnhandler.cpp
  mdn/mdnstateattribute.cpp
)

set(libmailcommon_util_SRCS
  util/cryptoutils.cpp
  util/mailutil.cpp
  util/resourcereadconfigfile.cpp
)


set(libmailcommon_SRCS
  kernel/mailkernel.cpp
  ${libmailcommon_filter_dialog}
  ${libmailcommon_util_SRCS}
  ${libmailcommon_mdn_SRCS}
  ${libmailcommon_invalidfilters}
  ${libmailcommon_widget_SRCS}
  ${libmailcommon_tag_SRCS}
  ${libmailcommon_snippets_SRCS}
  ${libmailcommon_search_SRCS}
  ${libmailcommon_job_SRCS}
  ${libmailcommon_collection_SRCS}
  ${libmailcommon_folder_SRCS}
  ${libmailcommon_filter_SRCS}
)
kconfig_add_kcfg_files(libmailcommon_SRCS
    settings/mailcommonsettings_base.kcfgc
)


ecm_qt_declare_logging_category(libmailcommon_SRCS HEADER mailcommon_debug.h IDENTIFIER MAILCOMMON_LOG CATEGORY_NAME org.kde.pim.mailcommon
        OLD_CATEGORY_NAMES log_mailcommon
        DESCRIPTION "mailcommon (mailcommon)" EXPORT MAILCOMMON)

set_source_files_properties(${CMAKE_CURRENT_SOURCE_DIR}/dbusinterfaces/org.freedesktop.Akonadi.MailFilterAgent.xml PROPERTIES INCLUDE "dbusoperators.h")

qt5_add_dbus_interfaces(libmailcommon_SRCS
  ${CMAKE_CURRENT_SOURCE_DIR}/dbusinterfaces/org.freedesktop.Akonadi.MailFilterAgent.xml
)

ki18n_wrap_ui(libmailcommon_SRCS filter/ui/filterconfigwidget.ui snippets/ui/snippetwidget.ui filter/ui/selectthunderbirdfilterfileswidget.ui)

set(libmailcommon_SRCS ${libmailcommon_SRCS} filter/soundtestwidget.cpp)

macro(add_resource_iface _kcfgFile _ifaceName _className)
  kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/${_kcfgFile} ${_ifaceName})
  string(TOLOWER ${_className} _codeFile)
  qt5_add_dbus_interface(libmailcommon_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/${_ifaceName}.xml ${_codeFile} ${_className}
  )
endmacro()

add_resource_iface(settings.kcfg org.kde.Akonadi.POP3.Settings Pop3Settings)

qt5_add_dbus_interfaces(libmailcommon_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/dbusinterfaces/org.kde.Korganizer.Calendar.xml
)

add_library(KF5MailCommon ${libmailcommon_SRCS})
generate_export_header(KF5MailCommon BASE_NAME mailcommon)


add_library(KF5::MailCommon ALIAS KF5MailCommon)

target_link_libraries(KF5MailCommon
PUBLIC
  KF5::AkonadiCore
  KF5::AkonadiMime
  KF5::Libkdepim
  KF5::MessageComposer
  KF5::PimCommonAkonadi
  KF5::Completion
PRIVATE
  KF5::AkonadiWidgets
  KF5::TextWidgets
  KF5::I18n
  KF5::MessageViewer
  KF5::MailImporter
  KF5::MessageCore
  KF5::TemplateParser
  KF5::Mime
  KF5::Codecs
  KF5::MailTransport
  Phonon::phonon4qt5
  KF5::XmlGui
  KF5::KIOWidgets
  KF5::IconThemes
  KF5::Archive
  KF5::ItemViews
  KF5::SyntaxHighlighting
  Qt5::Xml
)


target_include_directories(KF5MailCommon INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/MailCommon/;${KDE_INSTALL_INCLUDEDIR_KF5}/mailcommon>")
target_include_directories(KF5MailCommon PUBLIC "$<BUILD_INTERFACE:${mailcommon_SOURCE_DIR}/src;${mailcommon_BINARY_DIR}/src;${mailcommon_SOURCE_DIR}/src/search;${mailcommon_SOURCE_DIR}/src/folder>")


set_target_properties(KF5MailCommon PROPERTIES
    VERSION ${MAILCOMMON_VERSION_STRING}
    SOVERSION ${MAILCOMMON_SOVERSION}
    EXPORT_NAME MailCommon
)

install(TARGETS
    KF5MailCommon
    EXPORT KF5MailCommonTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} ${LIBRARY_NAMELINK}
)

if (BUILD_TESTING)
   add_subdirectory(filter/filterimporter/autotests)
   add_subdirectory(collectionpage/autotests)
   add_subdirectory(filter/autotests)
   add_subdirectory(snippets/autotests)
   add_subdirectory(filter/tests) 
   add_subdirectory(search/autotests)
   add_subdirectory(mdn/autotests/)
endif()

ecm_generate_headers(MailCommon_CamelCase_HEADERS
  HEADER_NAMES
  CryptoUtils
  MailUtil
  ResourceReadConfigFile
  REQUIRED_HEADERS MailCommon_HEADERS
  PREFIX MailCommon
  RELATIVE util
)

ecm_generate_headers(MailCommon_Camelcasetop_HEADERS
  HEADER_NAMES
  DBusOperators
  REQUIRED_HEADERS MailCommon_top_HEADERS
  PREFIX MailCommon
)

ecm_generate_headers(MailCommon_Camelcasetag_HEADERS
  HEADER_NAMES
  TagWidget
  Tag
  AddTagDialog
  REQUIRED_HEADERS MailCommon_tag_HEADERS
  PREFIX MailCommon
  RELATIVE tag
)

ecm_generate_headers(MailCommon_Camelcasefolder_HEADERS
  HEADER_NAMES
  FolderSettings
  FolderRequester
  FolderCollectionMonitor
  AccountConfigOrderDialog
  FolderTreeView
  FolderTreeWidget
  FolderSelectionDialog
  FolderTreeWidgetProxyModel
  FavoriteCollectionOrderProxyModel
  REQUIRED_HEADERS MailCommon_folder_HEADERS
  PREFIX MailCommon
  RELATIVE folder
)

ecm_generate_headers(MailCommon_Camelcasekernel_HEADERS
  HEADER_NAMES
  MailKernel
  REQUIRED_HEADERS MailCommon_kernel_HEADERS
  PREFIX MailCommon
  RELATIVE kernel
)

ecm_generate_headers(MailCommon_Camelcaseinterfaces_HEADERS
  HEADER_NAMES
  MailInterfaces
  REQUIRED_HEADERS MailCommon_interfaces_HEADERS
  PREFIX MailCommon
  RELATIVE interfaces
)


ecm_generate_headers(MailCommon_Camelcasefilter_HEADERS
  HEADER_NAMES
  FilterLog
  MailFilter
  FilterImporterExporter
  FilterManager
  KMFilterDialog
  FilterImporterPathCache
  ItemContext
  REQUIRED_HEADERS MailCommon_filter_HEADERS
  PREFIX MailCommon
  RELATIVE filter
)

ecm_generate_headers(MailCommon_Camelcasejob_HEADERS
  HEADER_NAMES
  BackupJob
  JobScheduler
  FolderJob
  REQUIRED_HEADERS MailCommon_job_HEADERS
  PREFIX MailCommon
  RELATIVE job
)

ecm_generate_headers(MailCommon_Camelcasefilteraction_HEADERS
  HEADER_NAMES
  FilterAction
  FilterActionDict
  REQUIRED_HEADERS MailCommon_filteraction_HEADERS
  PREFIX MailCommon
  RELATIVE filter/filteractions/
)

ecm_generate_headers(MailCommon_Camelcasemdn_HEADERS
  HEADER_NAMES
  SendMdnHandler
  MDNStateAttribute
  REQUIRED_HEADERS MailCommon_mdn_HEADERS
  PREFIX MailCommon
  RELATIVE mdn
)


ecm_generate_headers(MailCommon_Camelcasecollectionpage_HEADERS
  HEADER_NAMES
  CollectionGeneralPage
  CollectionExpiryPage
  REQUIRED_HEADERS MailCommon_collectionpage_HEADERS
  PREFIX MailCommon

=== src/filter/autotests/CMakeLists.txt ===
set(mailcommon_filter_test_LIBS Qt5::Test Qt5::Gui KF5::AkonadiCore KF5::AkonadiMime
                                KF5::MailCommon KF5::PimCommon Phonon::phonon4qt5
                                KF5::KIOWidgets KF5::IconThemes KF5::TemplateParser
                                KF5::MailTransport KF5::I18n KF5::SyntaxHighlighting
)

if (KF5_USE_PURPOSE)
    set(mailcommon_filter_test_LIBS ${mailcommon_filter_test_LIBS} KF5::Purpose KF5::PurposeWidgets)
endif()

add_definitions(-DTEST_PATH=\"${CMAKE_CURRENT_SOURCE_DIR}\")

macro(add_mailcommon_filter_test _name)
    ecm_add_test(${ARGN}
        TEST_NAME ${_name}
        NAME_PREFIX "mailcommon-filter-"
        LINK_LIBRARIES ${mailcommon_filter_test_LIBS}
    )
endmacro()

macro(add_mailcommon_filter_akonadi_test _name _sources)
    set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
    add_akonadi_isolated_test_advanced(${_name} "${ARGN}" "${mailcommon_filter_test_LIBS}")
endmacro()

set(filter_common_SRCS)
ecm_qt_declare_logging_category(filter_common_SRCS HEADER mailcommon_debug.h IDENTIFIER MAILCOMMON_LOG CATEGORY_NAME org.kde.pim.mailcommon)

add_mailcommon_filter_test(itemcontexttest
    itemcontexttest.cpp
    ../itemcontext.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionpipethroughtest
   filteractionpipethroughtest.cpp
   ../filteractions/filteractionpipethrough.cpp
   ../filteractions/filteractionwithcommand.cpp
   ../filteractions/filteractionwithurl.cpp
   ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionheadertest
    filteractionaddheadertest.cpp
    ../filteractions/filteractionaddheader.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractiondeletetest
    filteractiondeletetest.cpp
    ../filteractions/filteractiondelete.cpp
    ../filteractions/filteractionwithnone.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionencrypttest
    filteractionencrypttest.cpp
    gpghelper.cpp
    ../filteractions/filteractionencrypt.cpp
    ../filteractions/filteractionwithcrypto.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractiondecrypttest
    filteractiondecrypttest.cpp
    gpghelper.cpp
    ../filteractions/filteractiondecrypt.cpp
    ../filteractions/filteractionwithcrypto.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionrewriteheadertest
    filteractionrewriteheadertest.cpp
    ../filteractions/filteractionrewriteheader.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionsetstatustest
    filteractionsetstatustest.cpp
    ../filteractions/filteractionsetstatus.cpp
    ../filteractions/filteractionstatus.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionreplytotest
    filteractionreplytotest.cpp
    ../filteractions/filteractionreplyto.cpp
    ../filteractions/filteractionwithaddress.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionwithurltest
    filteractionwithurltest.cpp
    ../filteractions/filteractionwithurl.cpp
    ../filteractions/filteractionwithaddress.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionremoveheadertest
    filteractionremoveheadertest.cpp
    ../filteractions/filteractionremoveheader.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionwithaddresstest
    filteractionwithaddresstest.cpp
    ../filteractions/filteractionwithaddress.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

if (KDEPIM_RUN_AKONADI_TEST)
add_mailcommon_filter_akonadi_test(filteractionaddtoaddressbooktest
    filteractionaddtoaddressbooktest.cpp
    ../filteractions/filteractionaddtoaddressbook.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)
endif()

add_mailcommon_filter_test(filteractionplaysoundtest
    filteractionplaysoundtest.cpp
    ../filteractions/filteractionplaysound.cpp
    ../filteractions/filteractionwithtest.cpp
    ../filteractions/filteractionplaysound.cpp
    ../soundtestwidget.cpp
    ../dialog/filteractionmissingsoundurldialog.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(invalidfilterdialogtest
    invalidfilterdialogtest.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(invalidfilterwidgettest
    invalidfilterwidgettest.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(invalidfilterlistwidgettest
    invalidfilterlistwidgettest.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionunsetstatustest
    filteractionunsetstatustest.cpp
    ../filteractions/filteractionunsetstatus.cpp
    ../filteractions/filteractionstatus.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionredirecttest
    filteractionredirecttest.cpp
    ../filteractions/filteractionredirect.cpp
    ../filteractions/filteractionwithaddress.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(invalidfilterinfotest
    invalidfilterinfotest.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionsendfakedispositiontest
    filteractionsendfakedispositiontest.cpp
    ../filteractions/filteractionsendfakedisposition.cpp
    ../filteractions/filteractionwithstringlist.cpp
    ../filteractions/filteractionwithstring.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionforwardtest
    filteractionforwardtest.cpp
    ../filteractions/filteractionforward.cpp
    ../filteractions/filteractionwithaddress.cpp
    ../filteractions/filteractionwithstring.cpp
    ../dialog/filteractionmissingtemplatedialog.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(invalidfilterinfowidgettest
    invalidfilterinfowidgettest.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractioncopytest
    filteractioncopytest.cpp
    ../filteractions/filteractioncopy.cpp
    ../filteractions/filteractionwithfolder.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionmovetest
    filteractionmovetest.cpp
    ../filteractions/filteractionmove.cpp
    ../filteractions/filteractionwithfolder.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionexectest
    filteractionexectest.cpp
    ../filteractions/filteractionexec.cpp
    ../filteractions/filteractionwithcommand.cpp
    ../filteractions/filteractionwithurl.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionsendreceipttest
    filteractionsendreceipttest.cpp
    ../filteractions/filteractionsendreceipt.cpp
    ../filteractions/filteractionwithnone.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionsettransporttest
    filteractionsettransporttest.cpp
    ../filteractions/filteractionsettransport.cpp
    ../dialog/filteractionmissingtransportdialog.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filterconverttosieveresultdialog
    filterconverttosieveresultdialogtest.cpp
    ../filterconverter/filterconverttosieveresultdialog.cpp
    ../filterconverter/filterconverttosievepurposemenuwidget.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(mailfiltertest
    mailfiltertest.cpp
    ${filter_common_SRCS}
)

add_mailcommon_filter_test(filteractionmissingsoundurldialogtest
    filteractionmissingsoundurldialogtest.cpp
    ../dialog/filteractionmissingsoundurldialog.cpp
    )

add_mailcommon_filter_test(filteractionmissingtemplatedialogtest
    filteractionmissingtemplatedialogtest.cpp
    ../dialog/filteractionmissingtemplatedialog.cpp
    )

add_mailcommon_filter_test(filteractionmissingtransportdialogtest
    filteractionmissingtransportdialogtest.cpp
    ../dialog/filteractionmissingtransportdialog.cpp
    )

add_mailcommon_filter_test(filteractionmissingaccountdialogtest
    filteractionmissingaccountdialogtest.cpp
    ../dialog/filteractionmissingaccountdialog.cpp
    )

add_mailcommon_filter_test(filteractionmissingtagdialogtest
    filteractionmissingtagdialogtest.cpp
    ../dialog/filteractionmissingtagdialog.cpp
    )

add_mailcommon_filter_test(filteractionmissingidentitydialogtest
    filteractionmissingidentitydialogtest.cpp
    ../dialog/filteractionmissingidentitydialog.cpp
    ../../../autotests/dummykernel.cpp
    )

add_mailcommon_filter_test(filterimporterpathcachetest
    filterimporterpathcachetest.cpp
    ../filterimporterpathcache.cpp
    )

=== debian/changelog ===
libkf5mailcommon (4:20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:50:44 +0100

libkf5mailcommon (4:20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:10:00 +0200

libkf5mailcommon (4:20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:53:22 +0200

libkf5mailcommon (4:20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.
  * Remove not needed Build-Depends.

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 May 2020 00:00:59 +0200

libkf5mailcommon (4:20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (20.04.0).
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Enable hardening all.
  * Cleanup copyright file.

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:24:43 +0200

=== debian/control ===
Source: libkf5mailcommon
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               dbus,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               libkf5akonadi-dev (>= 4:20.08.3~),
               libkf5akonadicontact-dev (>= 4:20.08.3~),
               libkf5akonadimime-dev (>= 4:20.08.3~),
               libkf5archive-dev (>= 5.71.0~),
               libkf5codecs-dev (>= 5.71.0~),
               libkf5completion-dev (>= 5.71.0~),
               libkf5config-dev (>= 5.71.0~),
               libkf5configwidgets-dev (>= 5.71.0~),
               libkf5dbusaddons-dev (>= 5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5iconthemes-dev (>= 5.71.0~),
               libkf5itemmodels-dev (>= 5.71.0~),
               libkf5itemviews-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5libkdepim-dev (>= 4:20.08.3~),
               libkf5mailimporter-dev (>= 4:20.08.3~),
               libkf5mailtransport-dev (>= 20.08.3~),
               libkf5messagecomposer-dev (>= 4:20.08.3~),
               libkf5messagecore-dev (>= 4:20.08.3~),
               libkf5messageviewer-dev (>= 4:20.08.3~),
               libkf5mime-dev (>= 20.08.3~),
               libkf5pimcommon-dev (>= 4:20.08.3~),
               libkf5syntaxhighlighting-dev (>= 5.71.0~),
               libkf5templateparser-dev (>= 4:20.08.3~),
               libkf5textwidgets-dev (>= 5.71.0~),
               libkf5widgetsaddons-dev (>= 5.71.0~),
               libkf5xmlgui-dev (>= 5.71.0~),
               libphonon4qt5-dev (>= 4.10.60~),
               libphonon4qt5experimental-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.13.0~),
               qttools5-dev (>= 5.4.0~),
               xauth,
               xsltproc,
               xvfb
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/pim/mailcommon
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mailcommon
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mailcommon.git
Rules-Requires-Root: no

Package: libkf5mailcommon-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5mailcommon-plugins (<< 4:19.08.2-1~)
Replaces: libkf5mailcommon-plugins (<< 4:19.08.2-1~)
Description: KDE PIM email utility library, shared data
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the shared data distributed with the library.
 .
 This package is part of KDE PIM module.

Package: libkf5mailcommon-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadi-dev (>= 4:20.08.3~),
         libkf5akonadimime-dev (>= 4:20.08.3~),
         libkf5config-dev (>= 5.71.0~),
         libkf5libkdepim-dev (>= 4:20.08.3~),
         libkf5mailcommon5abi2 (= ${binary:Version}),
         libkf5messagecomposer-dev (>= 4:20.08.3~),
         libkf5messagecore-dev (>= 4:20.08.3~),
         libkf5messageviewer-dev (>= 4:20.08.3~),
         libkf5pimcommon-dev (>= 4:20.08.3~),
         qtbase5-dev (>= 5.13.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM email utility library, devel files
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the development files needed for the KDE PIM mail common
 library.
 .
 This package is part of KDE PIM module.

Package: libkf5mailcommon-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5mailcommon-data (<< 4:19.08.2-1~)
Description: KDE PIM email utility library, plugins
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the plugins distributed with the library.
 .
 This package is part of KDE PIM module.

Package: libkf5mailcommon5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5MailCommon
Architecture: any
Multi-Arch: same
Depends: libkf5mailcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM email utility library
 The mail common library provides utility functions for dealing with email.
 .
 This package is part of KDE PIM module.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@ --with kf5

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		dh_makeshlibs -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done

override_dh_auto_test:
	- xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" --\
	           dbus-run-session -- dh_auto_test --no-parallel

## libkf5mailcommon 20.12.3

=== debian/changelog ===
libkf5mailcommon (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:29:11 +0000

libkf5mailcommon (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:02:34 +0000

libkf5mailcommon (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:15:53 +0000

libkf5mailcommon (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Update build depends.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:35:48 +0000

libkf5mailcommon (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 10:00:01 +0000

=== debian/control ===
Source: libkf5mailcommon
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libkf5akonadi-dev (>= 4:20.12.3~),
               libkf5akonadimime-dev (>= 4:20.12.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:20.12.3~),
               libkf5grantleetheme-dev (>= 20.12.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5ldap-dev (>= 20.12.3~),
               libkf5libkdepim-dev (>= 4:20.12.3~),
               libkf5mailimporter-dev (>= 4:20.12.3~),
               libkf5mailtransport-dev (>= 20.12.3~),
               libkf5messagecomposer-dev (>= 4:20.12.3~),
               libkf5messagecore-dev (>= 4:20.12.3~),
               libkf5messagelist-dev (>= 4:20.12.3~),
               libkf5messageviewer-dev (>= 4:20.12.3~),
               libkf5mime-dev (>= 20.12.3~),
               libkf5mimetreeparser-dev (>= 4:20.12.3~),
               libkf5pimcommon-dev (>= 4:20.12.3~),
               libkf5syntaxhighlighting-dev (>= 5.31.0~),
               libkf5templateparser-dev (>= 4:20.12.3~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               xsltproc,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailcommon
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailcommon

Package: libkf5mailcommon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:20.12.3~),
         libkf5akonadimime-dev (>= 4:20.12.3~),
         libkf5config-dev (>= 5.31.0~),
         libkf5libkdepim-dev (>= 4:20.12.3~),
         libkf5mailcommon5abi4 (= ${binary:Version}),
         libkf5messagecomposer-dev (>= 4:20.12.3~),
         libkf5messagecore-dev (>= 4:20.12.3~),
         libkf5messageviewer-dev (>= 4:20.12.3~),
         libkf5mimetreeparser-dev (>= 4:20.12.3~),
         libkf5pimcommon-dev (>= 4:20.12.3~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM email utility library, devel files
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the development files needed for the KDE PIM mail common
 library.
 .
 This package is part of KDE PIM module.

Package: libkf5mailcommon-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE PIM email utility library, plugins
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the plugins distributed with the library.
 .
 This package is part of KDE PIM module.

Package: libkf5mailcommon5abi4
X-Debian-ABI: 4
X-CMake-Target: KF5MailCommon
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM email utility library
 The mail common library provides utility functions for dealing with email.
 .
 This package is part of KDE PIM module.

## libkf5mailcommon 21.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,12 @@
-cmake_minimum_required(VERSION 3.5)
-set(PIM_VERSION "5.15.3")
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+set(PIM_VERSION "5.18.1")
 
 project(mailcommon VERSION ${PIM_VERSION})
 
-set(KF5_MIN_VERSION "5.71.0")
+set(KF5_MIN_VERSION "5.83.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${mailcommon_SOURCE_DIR}/cmake/modules/ ${ECM_MODULE_PATH})
-if (POLICY CMP0053)
-    cmake_policy(SET CMP0053 NEW)
-endif()
-set(LIBRARY_NAMELINK)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -22,29 +18,30 @@
 
 include(ECMSetupVersion)
 include(FeatureSummary)
+include(KDEGitCommitHooks)
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddTests)
 
 
-set(QT_REQUIRED_VERSION "5.13.0")
+set(QT_REQUIRED_VERSION "5.15.0")
 
 set(MAILCOMMON_LIB_VERSION ${PIM_VERSION})
-set(AKONADIMIME_LIB_VERSION "5.15.3")
-set(AKONADICONTACT_LIB_VERSION "5.15.3")
-set(MESSAGELIB_LIB_VERSION "5.15.3")
-set(KMIME_LIB_VERSION "5.15.3")
-set(KMAILTRANSPORT_LIB_VERSION "5.15.3")
-set(MAILIMPORTER_LIB_VERSION "5.15.3")
-set(LIBKDEPIM_LIB_VERSION "5.15.3")
-set(PIMCOMMON_LIB_VERSION "5.15.3")
+set(AKONADIMIME_LIB_VERSION "5.18.1")
+set(AKONADICONTACT_LIB_VERSION "5.18.1")
+set(MESSAGELIB_LIB_VERSION "5.18.1")
+set(KMIME_LIB_VERSION "5.18.1")
+set(KMAILTRANSPORT_LIB_VERSION "5.18.1")
+set(MAILIMPORTER_LIB_VERSION "5.18.1")
+set(LIBKDEPIM_LIB_VERSION "5.18.1")
+set(PIMCOMMON_LIB_VERSION "5.18.1")
+set(GRANTLEETHEME_LIB_VERSION "5.18.1")
 
 set(PHONON_LIB_VERSION "4.10.60")
-set(AKONADI_VERSION "5.15.3")
+set(AKONADI_VERSION "5.18.1")
 
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets DBus Test Xml)
 
 find_package(KF5Archive ${KF5_MIN_VERSION} CONFIG REQUIRED)
-find_package(KF5Codecs ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5Completion ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -58,6 +55,7 @@
 find_package(KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5SyntaxHighlighting ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF5GuiAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
 
 find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
 find_package(KF5AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
@@ -65,6 +63,7 @@
 find_package(KF5MailImporter ${MAILIMPORTER_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5MessageList ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
@@ -72,6 +71,7 @@
 find_package(KF5TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
 find_package(Phonon4Qt5 ${PHONON_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
 
 option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
 add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")
@@ -87,13 +87,19 @@
 
 ########### Targets ###########
 remove_definitions( -DQT_NO_CAST_FROM_ASCII )
-add_definitions(-DQT_NO_FOREACH)
-add_definitions(-DQT_NO_KEYWORDS)
 option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
 
+option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
+
+set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
+if (USE_UNITY_CMAKE_SUPPORT)
+    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
+endif()
+
+
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
-set(CMAKE_CXX_STANDARD 14)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055400)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 ########### CMake Config Files ###########
@@ -123,5 +129,6 @@
 if(BUILD_TESTING)
     add_subdirectory(autotests)
 endif()
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+ki18n_install(po)
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-ki18n_install(po)

=== debian/changelog ===
libkf5mailcommon (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:40:58 +0100

libkf5mailcommon (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:10:44 +0100

libkf5mailcommon (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:05:18 +0100

libkf5mailcommon (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 10:44:54 +0100

libkf5mailcommon (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:52:04 +0100

libkf5mailcommon (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:49:31 +0100

libkf5mailcommon (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:15:56 +0100

libkf5mailcommon (4:21.04.0-0ubuntu1) impish; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.04.0)

  [ José Manuel Santamaría Lema ]
  * Refreshed patch enable_debianabimanager.diff

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:47:01 +0100

=== debian/control ===
--- 
+++ 
@@ -8,28 +8,28 @@
                extra-cmake-modules (>= 5.31.0~),
                libgpgme-dev,
                libgpgmepp-dev (>= 1.7.1~),
-               libkf5akonadi-dev (>= 4:20.12.3~),
-               libkf5akonadimime-dev (>= 4:20.12.3~),
+               libkf5akonadi-dev (>= 4:21.08.1~),
+               libkf5akonadimime-dev (>= 4:21.08.1~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:20.12.3~),
-               libkf5grantleetheme-dev (>= 20.12.3~),
+               libkf5contacteditor-dev (>= 4:21.08.1~),
+               libkf5grantleetheme-dev (>= 21.08.1~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
-               libkf5ldap-dev (>= 20.12.3~),
-               libkf5libkdepim-dev (>= 4:20.12.3~),
-               libkf5mailimporter-dev (>= 4:20.12.3~),
-               libkf5mailtransport-dev (>= 20.12.3~),
-               libkf5messagecomposer-dev (>= 4:20.12.3~),
-               libkf5messagecore-dev (>= 4:20.12.3~),
-               libkf5messagelist-dev (>= 4:20.12.3~),
-               libkf5messageviewer-dev (>= 4:20.12.3~),
-               libkf5mime-dev (>= 20.12.3~),
-               libkf5mimetreeparser-dev (>= 4:20.12.3~),
-               libkf5pimcommon-dev (>= 4:20.12.3~),
+               libkf5ldap-dev (>= 21.08.1~),
+               libkf5libkdepim-dev (>= 4:21.08.1~),
+               libkf5mailimporter-dev (>= 4:21.08.1~),
+               libkf5mailtransport-dev (>= 21.08.1~),
+               libkf5messagecomposer-dev (>= 4:21.08.1~),
+               libkf5messagecore-dev (>= 4:21.08.1~),
+               libkf5messagelist-dev (>= 4:21.08.1~),
+               libkf5messageviewer-dev (>= 4:21.08.1~),
+               libkf5mime-dev (>= 21.08.1~),
+               libkf5mimetreeparser-dev (>= 4:21.08.1~),
+               libkf5pimcommon-dev (>= 4:21.08.1~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:20.12.3~),
+               libkf5templateparser-dev (>= 4:21.08.1~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libphonon4qt5-dev,
@@ -47,16 +47,16 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:20.12.3~),
-         libkf5akonadimime-dev (>= 4:20.12.3~),
+Depends: libkf5akonadi-dev (>= 4:21.08.1~),
+         libkf5akonadimime-dev (>= 4:21.08.1~),
          libkf5config-dev (>= 5.31.0~),
-         libkf5libkdepim-dev (>= 4:20.12.3~),
+         libkf5libkdepim-dev (>= 4:21.08.1~),
          libkf5mailcommon5abi4 (= ${binary:Version}),
-         libkf5messagecomposer-dev (>= 4:20.12.3~),
-         libkf5messagecore-dev (>= 4:20.12.3~),
-         libkf5messageviewer-dev (>= 4:20.12.3~),
-         libkf5mimetreeparser-dev (>= 4:20.12.3~),
-         libkf5pimcommon-dev (>= 4:20.12.3~),
+         libkf5messagecomposer-dev (>= 4:21.08.1~),
+         libkf5messagecore-dev (>= 4:21.08.1~),
+         libkf5messageviewer-dev (>= 4:21.08.1~),
+         libkf5mimetreeparser-dev (>= 4:21.08.1~),
+         libkf5pimcommon-dev (>= 4:21.08.1~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
          ${shlibs:Depends},
